package cn.com.qmth.examcloud.web.filestorage;

import java.io.File;

public interface FileStorage {
	/**保存文件到存储服务
	 * @param siteId 
	 * @param env
	 * @param file 文件
	 * @return 返回包含协议名的地址，数据库直接存储用
	 */
	public String saveFile(String siteId,FileStoragePathEnvInfo env,File file);
	
	/**获取可直接访问的文件地址
	 * @param path 全路径，包含根目录，不含协议名
	 * @return 返回可直接访问的地址
	 */
	public String realPath(String path);
	
	/**保存文件到存储服务,siteId为1,转换接口用
	 * @param file 文件
	 * @param path 全路径，包含根目录，不含协议名
	 * @return 返回包含协议名的地址，数据库直接存储用
	 */
	public String saveFile(File file, String path);
	
	/**获取云存储签名
	 * @param siteId
	 * @param env
	 * @param md5
	 * @return
	 */
	public YunHttpRequest  getSignature(String siteId,FileStoragePathEnvInfo env,String md5);
	
}
